<template>
  <v-toolbar fixed class="purple darken-1" dark>
    <v-toolbar-title
      class="mr-4">
      <router-link
        to="/"
        tag="span"
        style="cursor: pointer">
        TabTracker
      </router-link>
    </v-toolbar-title>
    <v-toolbar-items>
      <v-btn
        flat
        to="/songs">
        Browse
      </v-btn>
    </v-toolbar-items>
    <v-spacer></v-spacer>
    <v-toolbar-items v-if="!$store.state.isUserLoggedIn">
      <v-btn
        flat
        to="/register">
        Sign Up
      </v-btn>
      <v-btn
        flat
        to="/login">
        Login
      </v-btn>
    </v-toolbar-items>
    <v-toolbar-items v-if="$store.state.isUserLoggedIn">
      <v-btn
        flat
        @click="onLogout">
        Logout
      </v-btn>
    </v-toolbar-items>
  </v-toolbar>
</template>

<script>
export default {
  name: 'page-header',
  data () {
    return {
    }
  },
  methods: {
    onLogout () {
      this.$store.dispatch('setToken', null)
      this.$store.dispatch('setUser', null)
      this.$router.push({
        name: 'home'
      })
    }
  }
}
</script>

<style scoped>

</style>
